Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel Mouse"

Bug #123775 reported by Alan
172
This bug affects 27 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Unknown
linux (Ubuntu)
Medium
Unassigned
Nominated for Intrepid by rainpl
Nominated for Karmic by pi-rho
Nominated for Lucid by pi-rho
Hardy
Medium
Unassigned
linux-source-2.6.22 (Ubuntu)
Low
Unassigned
Nominated for Intrepid by rainpl
Nominated for Karmic by pi-rho
Nominated for Lucid by pi-rho
Hardy
Low
Unassigned
xserver-xorg-input-evdev (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by rainpl
Nominated for Karmic by pi-rho
Nominated for Lucid by pi-rho
Hardy
Undecided
Unassigned

Bug Description

My touchpad is incorrectly recognised as a "ImPS/2 Logitech Wheel Mouse"

"cat /proc/bus/input/devices" produces the following output:
(i also have a usb mouse plugged in ("Logitech USB-PS/2 Optical Mouse"), it's still detected as above regardless of if the usb mouse is plugged in or not)

magicaltrevor:~$ cat /proc/bus/input/devices
I: Bus=0017 Vendor=0001 Product=0001 Version=0100
N: Name="Macintosh mouse button emulation"
P: Phys=
S: Sysfs=/class/input/input0
H: Handlers=mouse0 event0 ts0
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=3

I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/class/input/input1
H: Handlers=kbd event1
B: EV=120013
B: KEY=4 2000000 3802078 f840d001 feffffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0010 Vendor=001f Product=0001 Version=0100
N: Name="PC Speaker"
P: Phys=isa0061/input0
S: Sysfs=/class/input/input2
H: Handlers=kbd event2
B: EV=40001
B: SND=6

I: Bus=0003 Vendor=046d Product=c00e Version=0110
N: Name="Logitech USB-PS/2 Optical Mouse"
P: Phys=usb-0000:00:1d.1-2/input0
S: Sysfs=/class/input/input3
H: Handlers=mouse1 event3 ts1
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

I: Bus=0011 Vendor=0002 Product=0005 Version=0063
N: Name="ImPS/2 Logitech Wheel Mouse"
P: Phys=isa0060/serio2/input0
S: Sysfs=/class/input/input4
H: Handlers=mouse2 event4 ts2
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

I: Bus=0019 Vendor=0000 Product=0002 Version=0000
N: Name="Power Button (FF)"
P: Phys=ACPI_FPB/button/input0
S: Sysfs=/class/input/input5
H: Handlers=kbd event5
B: EV=3
B: KEY=100000 0 0 0

I: Bus=0019 Vendor=0000 Product=0003 Version=0000
N: Name="Sleep Button (CM)"
P: Phys=PNP0C0E/button/input0
S: Sysfs=/class/input/input6
H: Handlers=kbd event6
B: EV=3
B: KEY=4000 0 0 0 0

I: Bus=0019 Vendor=0000 Product=0005 Version=0000
N: Name="Lid Switch"
P: Phys=PNP0C0D/button/input0
S: Sysfs=/class/input/input7
H: Handlers=event7
B: EV=21
B: SW=1

I: Bus=0019 Vendor=0000 Product=0001 Version=0000
N: Name="Power Button (CM)"
P: Phys=PNP0C0C/button/input0
S: Sysfs=/class/input/input8
H: Handlers=kbd event8
B: EV=3
B: KEY=100000 0 0 0

--following is irrelevant as it is a elantech touchpad, kept here for history...
"cat /var/log/Xorg.0.log |grep synaptics" outputs:

(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input//synaptics_drv.so
(II) Module synaptics: vendor="The XFree86 Project"
Synaptics Touchpad no synaptics event device found (checked 19 nodes)
(EE) Synaptics Touchpad no synaptics touchpad detected and no repeater device
(II) UnloadModule: "synaptics"

where as "sudo tpconfig -i" outputs:

Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.
--end of irrelevant text

This is on a clean fiesty install on a MSI M660 Laptop.
This also applies to the live cd of gusty tribe 2.

Revision history for this message
Martin Ahnelöv (gasten) wrote :

Thank you for your bug report.
What symptoms do you have (Ie, is there any more problems, other than the wrong label)?

Can you attatch your /etc/X11/xorg.conf, please?
Do you have the synaptic-drivers installed? (apt-cache show xorg-xserver-driver-synaptic) If yes, what version (apt-cache show xorg-xserver-driver-synaptic | grep Version)?

Include more information as described on this page: https://wiki.ubuntu.com/DebuggingHardwareDetection

Thank you!

Revision history for this message
Martin Ahnelöv (gasten) wrote :

By the way, what laptop make and model do you use?

This bug might already have been reported, but I'll wait with deciding that till I see your xorg.conf (see bug 46700 and bug 114469).

Revision history for this message
Alan (alanloughlin) wrote :

xorg.conf attached.

i don't have xorg-xserver-driver-synaptic install, is it just a case of installing this and rebooting the pc, or is it something more clever than that?

My laptop is a Transtec LEVIO 550 which is a rebadged MSI M660

Thanks

Alan

Revision history for this message
Alan (alanloughlin) wrote :

Sorry, i forgot to add the fact that this prevents me from configuring touchpad options like disabling the touchpad whilst typing or configuring the shortcut key (fn + F2) to disable the touchpad whilst i have a usb mouse attached.

Revision history for this message
Martin Ahnelöv (gasten) wrote :

I think you just need to install the package, and reboot. Try. If it works, we'll have to work out why ubuntu didn't install it at the beginning.

Revision history for this message
Alan (alanloughlin) wrote :

although xorg-xserver-driver-synaptic is not installed. the package xserver-xorg-input-synaptics is.

how would you like me to proceed?

Revision history for this message
Martin Ahnelöv (gasten) wrote :

How dumb of me, of cause it is -input-. Can you check which version you have installed (dpkg -s xserver-xorg-input-synaptics | grep Version)?

Please include your whole /var/log/Xorg.0.log .

Also try the "New Xorg Autodetection" on https://help.ubuntu.com/community/DebuggingXAutoconfiguration .

Revision history for this message
Alan (alanloughlin) wrote :

dpkg -s xserver-xorg-input-synaptics | grep Version brings back Version: 0.14.6-0ubuntu7

xorg log attached

i'll look over the xorg detection now.

Thanks

Alan

Revision history for this message
Alan (alanloughlin) wrote :

i renamed xorg.conf and restarted, when i did a "cat /var/log/Xorg.0.log |grep synaptics" it did not return anything.

as this shows up as "ImPS/2 Logitech Wheel Mouse" when i do "cat /proc/bus/input/devices" doesn't it make it more of a kernel issue?

Thanks

Alan

Revision history for this message
Martin Ahnelöv (gasten) wrote :

Thank you!

Ok, so now we'll try to get some kernel data and let a dev decide if we are dealing with a X or kernel, or even a hardware bug. Please follow the instructions here: https://wiki.ubuntu.com/DebuggingHardwareDetection

Revision history for this message
Alan (alanloughlin) wrote :

uname -a:
Linux magicaltrevor 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux

proc_version_signature.log:
Ubuntu 2.6.20-16.29-generic

proc_version.log:
Linux version 2.6.20-16-generic (root@terranova) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Thu Jun 7 20:19:32 UTC 2007

Revision history for this message
Alan (alanloughlin) wrote :
Revision history for this message
Alan (alanloughlin) wrote :

it there a way to add multiple attachments for future reference?

Revision history for this message
Alan (alanloughlin) wrote :

re-run lspci commands with sudo, might be worth updating the wiki.

Revision history for this message
Alan (alanloughlin) wrote :

second lspci command with sudo

Revision history for this message
Alan (alanloughlin) wrote :

MSI M660
2gb Ram
Intel® Core™2 Duo processor T5500, 1.66 GHz, 2 MB, 667 MHz
80gb sata hard disk 7200rpm
Intel® PRO/Wireless 3945AG PCIe mini card, 802.11a/b/g | Intel® PRO/Wireless 3945ABG
Intel® GMA 950, 128 MB - grpahics
Intel® 945 GM + Intel® ICH7-M chipset
Realtek ALC 882H - sound
Realtek 8111B LAN Gigabit onboard
built in bluetooth and webcam

these details are from transtec's website: http://tinyurl.com/3xjlr4
they personally told me it was a MSI m660

this is the details on MSI's site: http://tinyurl.com/3cuavk

hope this is not overkill.

Thanks

Alan

Revision history for this message
Alan (alanloughlin) wrote :

trying to be too smart for my own good, i figured i would have a go and see if the new 2.6.22 kernel supported the touchpad using this guide:
http://www.howtoforge.com/kernel_compilation_ubuntu

once done and booted into, cat /proc/bus/input/devices shows exactly the same as before, as does cat /var/log/Xorg.0.log |grep synaptics

If this is a kernel recognition issue, what can i/we do about it?

Thanks

Alan

Revision history for this message
Martin Ahnelöv (gasten) wrote :

Not much left to do. I'll assign it to the 2.6.22-kernel package, so it'll hopefully be fixed in gutsy.

Please attach the output of `sudo lsusb -v` and `cat /proc/bus/usb/devices'.

Thank you for your cooperation.

Emmet Hikory (persia)
Changed in kernel-image-2.6.6-i386:
importance: Undecided → Low
Revision history for this message
Alan (alanloughlin) wrote :

"sudo lsusb -v" output attached

Revision history for this message
Alan (alanloughlin) wrote :

"cat /proc/bus/usb/devices" output attached

Martin Ahnelöv (gasten)
Changed in linux-source-2.6.22:
assignee: gasten → nobody
status: Incomplete → Confirmed
Revision history for this message
Alan (alanloughlin) wrote :

what can i do to help developers to get his working in gutsy?

Thanks

Alan

Revision history for this message
Martin Ahnelöv (gasten) wrote :

Not much, I believe. You can try out the new Gutsy tribe 3 (http://www.ubuntu.com/testing/tribe3) which is scheduled till today and see if the problem is there (it probably will, gutsy is using the 2.6.22 kernel). You could get a kernel developer in the kernel-team to look at the bug.

I've filed a bug report in he upstream-bugzilla (http://bugzilla.kernel.org/show_bug.cgi?id=8781). Now we wait. Thank you for your patience.

Revision history for this message
Martin Ahnelöv (gasten) wrote :

Yeah, if you want to help, you can subscribe to the bug in the previous comment and answer all the questions (and don't forgett to introduce yourself!).

Revision history for this message
Alan (alanloughlin) wrote :

i saw what Dmitry Torokhov said in the kernel.org posting, i had a little delve on the MSI forums and it appears the newer M662 uses a Elantech touchpad, which gets recognised in exactly the same way as my M660.

I have emailed elantech for either a linux driver of hardware specifications from - http://www.elantech.com.tw/003/contact.aspx

I have obtained a windows xp elantech touchpad driver, will any of it prove useful in getting the device recognised in ubuntu?
for example for chinese walling the driver development?

i am able to disable the touchpad my using - "sudo rmmod psmouse" and reenabling it with "sudo modprobe psmouse", but should be worthwhile getting it working properly.

Thanks

Alan

Revision history for this message
Martin Ahnelöv (gasten) wrote :

I would recommend that you register yourself on bugzilla.kernel.org and continue to solve this matter. But please, keep this report up to date for reference.

Alan (alanloughlin)
description: updated
Revision history for this message
Brian Murray (brian-murray) wrote :

I am assigning this bug to the kernel team per kernel team bug policy which you can find at https://wiki.ubuntu.com/KernelTeamBugPolicies .

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
Revision history for this message
Helton Dória (helton-doria) wrote :

Hi,

I can confirm that MSI M662 has the same touchpad and has the exactly same behavior listed above. The last time that I tested, I used Gutsy daily build of 08/28/2007 and the result was the same.

Thanks,

Helton

Revision history for this message
Alan (alanloughlin) wrote :

I have emailed elantech several times requesting a driver or some details to get one written, but they no longer reply to my form submission.

I have also emailed MSI to see if they can apply some pressure to elantech or do something themselves.

I think it might be worth anyone using an elantech touchpad to email elantech requesting a linux driver and/or hardware documentation to get a GPL v2 licensed driver written.

<rant>I personally think it's completely unfair that companies like this can use Linux/opensource in their organisation, but have absolutely no interest in contributing back to the community.</rant>

Revision history for this message
uttaran (uttaranduutta) wrote :

Good Idea Alan. I just did that

Revision history for this message
Uttaran Dutta (dutta-uttaran) wrote :

The patch for elantech touch pad for kernel 2.6.22.6 is out
http://thread.gmane.org/gmane.linux.kernel.input/3005
testers needed

Revision history for this message
Tim Gardner (timg-tpi) wrote :

Push to get this driver included upstream. Its not going to make into Gutsy, but should easily make it into Hardy Heron (Gutsy+1).

Changed in linux-source-2.6.22:
assignee: ubuntu-kernel-team → nobody
status: Confirmed → Won't Fix
Revision history for this message
Alan (alanloughlin) wrote :

http://thread.gmane.org/gmane.linux.kernel.input/3005

is all the above placed into a single diff file and then i can apply it using step 4 of http://www.howtoforge.com/kernel_compilation_ubuntu ?
or is there somewhere i can download the patch as a bz2 file?

Sorry, the link doesn't really explain what you do with the contents of that posting.

Thanks,

Alan

Revision history for this message
benab (benbeyeler) wrote :

I just want to confirm that I have the same exact problem that Alan has described.

 I have a Compal HEL80 laptop with an Elantech touchpad. I am running Gutsy Gibbon 7.10 (upgraded from 7.04) with kernel 2.6.22-14-generic.

'cat /proc/bus/input/devices' reports that a "ImPS/2 Logitech Wheel Mouse" is present.

And sudo tpconfig -i reports:

  Found Synaptics Touchpad.
  Firmware: 8.96 (multiple-byte mode).
  Sensor type: unknown (0).
  Geometry: rectangular/landscape/up.
  Packets: absolute, 80 packets per second.
  Corner taps disabled; no tap gestures.
  Edge motion: none.
  Z threshold: 6 of 7.
  2 button mode; corner tap is right button click.

Thanks,

-Ben

Revision history for this message
Alan (alanloughlin) wrote :

i still haven't had any word on how i can use this code to test the touchpad, i've done a ubuntu kernel recompile as advertised on howtoforge without any issue, but i have absolutely no clue how to use the code in the link.

could i have some help on this please, i would like to use my touchpad and i want to help get this into 8.04.

Thanks,

Alan

Revision history for this message
linuxonbute (normanelliott) wrote :

I have a Zepto Znote 3215W which also reports the touchpad as

cat /proc/bus/input/devices

I: Bus=0011 Vendor=0002 Product=0005 Version=0063
N: Name="ImPS/2 Logitech Wheel Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/class/input/input2
U: Uniq=
H: Handlers=mouse1 event2
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

I downloaded the Xp zipped driver - unzipped it and found the README which said it is an Elantech Touchpad
I have Gutsy installed and the touchpad is driving me mad.
It is extremely sensitive. Just by very very carefully placing my finger on it will trigger any active area it is over - url, Icon etc.

Intel Core 2 Duo
2Gb Ram Intel x3100 graphics
kernel 2.6.22-14-generic #1 SMP

Revision history for this message
Viraj Alankar (valankar) wrote :

FYI, I've been testing Arjan's driver on my laptop:

http://arjan.opmeer.net/elantech/

There are still some issues I have with absolute mode, but I'm sure he will appreciate more testers.

Revision history for this message
linuxonbute (normanelliott) wrote :

I will find out to compile new kernel and add the patch and let you all know.
At present I am preparing a web page to show my experience with this laptop,
giving details of how with the help of others how any problems have been overcome.
Thanks for the help so far.

Revision history for this message
linuxonbute (normanelliott) wrote :

Arjan's patch is for the vanilla 2.6.23.1 kernel.

I downloaded it, applied the patch and compiled.

Afterwards i found that the mouse was recognized as a synaptics mouse.

It did not seem to work very well. Tapping needed to be very hard and the
left and right buttons didn't work.

I would have sent this message then but my internet connection was gone!

my wireless card was completely undetected.

So , for now I am back to Ubuntu kernel 2.6.22-14-generic

with a usb mouse plugged in. The touchpad is still active so I will try to disable it.

There are no options to do so in the bios.

Revision history for this message
Helton Dória (helton-doria) wrote :

To disable the touchpad, use "sudo rmmod psmouse"

Revision history for this message
linuxonbute (normanelliott) wrote :

Thanks Helton. I have put it in rc.local for now.

Is it possible to download an Ubuntu patched kernel source that I can patch

with the Elantech patch so I can get it and wireless working?

Revision history for this message
Alan (alanloughlin) wrote :
Download full text (3.1 KiB)

Here's a quick guide i have written to re-compile with the elantech driver, i am still playing with the restricted drivers guide, but will post if i finish it.
I have modified the patch file using the 2.6.22.14 kernel
This is using the most recent kernel source (2.6.22.14):

1) ensure source is enabled in the repositories un-comment (remove #) from all deb-src lines in /etc/apt/sources.list

2) run the below to obtain the kernel source
sudo apt-get update
apt-get source linux-image-2.6.22-14-generic

3) the next 2 steps ensures bash has the /bin/sh symbolic link, this is from the howtoforge link, so i just copied this.
sudo rm -f /bin/sh
sudo ln -s /bin/bash /bin/sh

4) install required packages for kernel compilation
sudo apt-get install kernel-package libncurses5-dev fakeroot wget bzip2

5) i have modified the patch to support 2.6.22-14-generic, to apply it to the source:
cd linux-source-2.6.22-2.6.22
patch -p1 --dry-run < /where/you/saved/elantech-2.6.22-14-generic.patch

6) --dry-run does a dummy run of what it will change, nothing is actually changed
verify the output says:
patching file Documentation/input/elantech.txt
patching file drivers/input/mouse/elantech.c
patching file drivers/input/mouse/elantech.h
patching file drivers/input/mouse/Kconfig
patching file drivers/input/mouse/Makefile
patching file drivers/input/mouse/psmouse-base.c
patching file drivers/input/mouse/psmouse.h

7) if so, run:
patch -p1 < /where/you/saved/elantech-2.6.22-14-generic.patch

8) copy the current ubuntu config:
cp /boot/config-`uname -r` ./.config

9) run the make menu:

make menuconfig

10) Go to Load an Alternate Configuration File and choose .config

11) Go to device drivers -> input device support -> mice
select elantech and press the Y key
go back to the main menu (tab onto exit 3 times)

12) select Save an Alternate Configuration File and choose .config

13) exit menuconfig (tab onto exit, press enter)

14) build the kernel (the second command can take a few hours depending on your machine)
make-kpkg clean
fakeroot make-kpkg --initrd --append-to-version=-custom kernel_image kernel_headers

15) 2 deb files are generated, the kernel and the kernel headers. you should now be able to install these

16 ) from a ubuntu wiki page i can't find the lnk to, if you want to ensure the ubuntu logo appears on boot:

echo vesafb | sudo tee -a /etc/initramfs-tools/modules
echo fbcon | sudo tee -a /etc/initramfs-tools/modules

17) reboot, press ESC at the grub screen and choose the newly installed kernel, because this guide didn't change anything with the version numbers, it has labeled it as 2.6.22.9-custom - this is because the source is just this version patched to 2.6.22.14

18) once booted, test the touchpad

19) to test absolute mode do the following in the sysfs directory (it think this means /sys, it was on arjan's website):
sudo echo -n 0x16 > reg_10

And that's it, as said, i am still working on the restricted drivers guide, if you can't be bothered to do the above and have some decent web hosting i can upload the deb files i have generated let me know. The files are around 300mb due to the debug options being enabled (default ubuntu .config setting i be...

Read more...

Revision history for this message
linuxonbute (normanelliott) wrote : Re: [Bug 123775] Re: Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel Mouse"
Download full text (4.0 KiB)

On 06/01/2008, Alan <email address hidden> wrote:
>
> Here's a quick guide i have written to re-compile with the elantech
> driver, i am still playing with the restricted drivers guide, but will post
> if i finish it.
> I have modified the patch file using the 2.6.22.14 kernel
> This is using the most recent kernel source (2.6.22.14):
>
> 1) ensure source is enabled in the repositories un-comment (remove #)
> from all deb-src lines in /etc/apt/sources.list
>
> 2) run the below to obtain the kernel source
> sudo apt-get update
> apt-get source linux-image-2.6.22-14-generic
>
> 3) the next 2 steps ensures bash has the /bin/sh symbolic link, this is
> from the howtoforge link, so i just copied this.
> sudo rm -f /bin/sh
> sudo ln -s /bin/bash /bin/sh
>
> 4) install required packages for kernel compilation
> sudo apt-get install kernel-package libncurses5-dev fakeroot wget bzip2
>
> 5) i have modified the patch to support 2.6.22-14-generic, to apply it to
> the source:
> cd linux-source-2.6.22-2.6.22
> patch -p1 --dry-run < /where/you/saved/elantech-2.6.22-14-generic.patch
>
> 6) --dry-run does a dummy run of what it will change, nothing is actually
> changed
> verify the output says:
> patching file Documentation/input/elantech.txt
> patching file drivers/input/mouse/elantech.c
> patching file drivers/input/mouse/elantech.h
> patching file drivers/input/mouse/Kconfig
> patching file drivers/input/mouse/Makefile
> patching file drivers/input/mouse/psmouse-base.c
> patching file drivers/input/mouse/psmouse.h
>
> 7) if so, run:
> patch -p1 < /where/you/saved/elantech-2.6.22-14-generic.patch
>
> 8) copy the current ubuntu config:
> cp /boot/config-`uname -r` ./.config
>
> 9) run the make menu:
>
> make menuconfig
>
> 10) Go to Load an Alternate Configuration File and choose .config
>
> 11) Go to device drivers -> input device support -> mice
> select elantech and press the Y key
> go back to the main menu (tab onto exit 3 times)
>
> 12) select Save an Alternate Configuration File and choose .config
>
> 13) exit menuconfig (tab onto exit, press enter)
>
> 14) build the kernel (the second command can take a few hours depending on
> your machine)
> make-kpkg clean
> fakeroot make-kpkg --initrd --append-to-version=-custom kernel_image
> kernel_headers
>
> 15) 2 deb files are generated, the kernel and the kernel headers. you
> should now be able to install these
>
> 16 ) from a ubuntu wiki page i can't find the lnk to, if you want to
> ensure the ubuntu logo appears on boot:
>
> echo vesafb | sudo tee -a /etc/initramfs-tools/modules
> echo fbcon | sudo tee -a /etc/initramfs-tools/modules
>
> 17) reboot, press ESC at the grub screen and choose the newly installed
> kernel, because this guide didn't change anything with the version
> numbers, it has labeled it as 2.6.22.9-custom - this is because the
> source is just this version patched to 2.6.22.14
>
> 18) once booted, test the touchpad
>
> 19) to test absolute mode do the following in the sysfs directory (it
> think this means /sys, it was on arjan's website):
> sudo echo -n 0x16 > reg_10
>
> And that's it, as said, i am still working on the restricted drivers
> guide, if you can't be bothered to do t...

Read more...

Revision history for this message
linuxonbute (normanelliott) wrote :

On 06/01/2008, Norman Elliott <email address hidden> wrote:
>
>
>
> On 06/01/2008, Alan <email address hidden> wrote:
> >
> > Here's a quick guide i have written to re-compile with the elantech
> > driver, i am still playing with the restricted drivers guide, but will post
> > if i finish it.
>
>
snip

patch -p1 --dry-run < /where/you/saved/elantech-2.6.22-14-generic.patch
> >
> > 6) --dry-run does a dummy run of what it will change, nothing is
> > actually changed
> > verify the output says:
> > patching file Documentation/input/elantech.txt
> > patching file drivers/input/mouse/elantech.c
> > patching file drivers/input/mouse/elantech.h
> > patching file drivers/input/mouse/Kconfig
> > patching file drivers/input/mouse/Makefile
> > patching file drivers/input/mouse/psmouse-base.c
> > patching file drivers/input/mouse/psmouse.h
>
>
snip

Hi Alan,

the result of :
 patch -p1 --dry-run < ~/downloads/elantech-2.6.22-14-generic.patch
was :-
patching file Documentation/input/elantech.txt
patching file drivers/input/mouse/Kconfig
patching file drivers/input/mouse/Makefile
patching file drivers/input/mouse/elantech.c
patching file drivers/input/mouse/elantech.h
patching file drivers/input/mouse/psmouse-base.c
patch: **** malformed patch at line 640: @@ -88,6 +88,7 @@ enum psmouse_type
{

Norman

Revision history for this message
Alan (alanloughlin) wrote :

Hi,

Not entirely sure why it did that, can you clarify that the last few lines of the patch file look like:

--- linux-source-2.6.22-2.6.22/drivers/input/mouse/psmouse.h 2007-07-09 00:32:17.000000000 +0100
+++ elantech-linux-source-2.6.22-2.6.22/drivers/input/mouse/psmouse.h 2008-01-05 11:32:06.000000000 +0000
@@ -88,6 +88,7 @@ enum psmouse_type {
  PSMOUSE_LIFEBOOK,
  PSMOUSE_TRACKPOINT,
  PSMOUSE_TOUCHKIT_PS2,
+ PSMOUSE_ELANTECH,
  PSMOUSE_AUTO /* This one should always be last */
 };

ensure there is nothing after the semi-colon at the end, no blank lines etc...
if that still doesn't work, try removing what i have printed above, and edit /drivers/input/mouse/psmouse.h adding the line "PSMOUSE_ELANTECH," in the same position as above, don't put in the "+" that is something diff uses. you'll still need to run all commands as per my instructions.

Thanks,

Alan

Revision history for this message
Alan (alanloughlin) wrote :

also, i think it might be worth investigating compiling to make it look like the current release ubuntu kernel, so that the restricted drivers don't know any better, might be risky as it's overwriting your current kernel, just a suggestion.

Thanks,

Alan

Revision history for this message
linuxonbute (normanelliott) wrote :

On 09/01/2008, Alan <email address hidden> wrote:
>
> Hi,
>
> Not entirely sure why it did that, can you clarify that the last few
> lines of the patch file look like:
>
> --- linux-source-2.6.22-2.6.22/drivers/input/mouse/psmouse.h 2007-07-09
> 00:32:17.000000000 +0100
> +++ elantech-linux-source-2.6.22-2.6.22/drivers/input/mouse/psmouse.h
> 2008-01-05 11:32:06.000000000 +0000
> @@ -88,6 +88,7 @@ enum psmouse_type {
> PSMOUSE_LIFEBOOK,
> PSMOUSE_TRACKPOINT,
> PSMOUSE_TOUCHKIT_PS2,
> + PSMOUSE_ELANTECH,
> PSMOUSE_AUTO /* This one should always be last */
> };
>
> ensure there is nothing after the semi-colon at the end, no blank lines
> etc...
> if that still doesn't work, try removing what i have printed above, and
> edit /drivers/input/mouse/psmouse.h adding the line "PSMOUSE_ELANTECH," in
> the same position as above, don't put in the "+" that is something diff
> uses. you'll still need to run all commands as per my instructions.
>
> Thanks,
>
> Alan
>
> ** Changed in: linux (Ubuntu)
> Sourcepackagename: xorg => linux
>
> --
> Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel
> Mouse"
> https://bugs.launchpad.net/bugs/123775
> You received this bug notification because you are a direct subscriber
> of the bug.
>

The end of the file is not the same. It is :

+#ifdef CONFIG_MOUSE_PS2_ELANTECH
+ {
+ .type = PSMOUSE_ELANTECH,
+ .name = "ETPS/2",
+ .alias = "elantech",
+ .detect = elantech_detect,
+ .init = elantech_init,
+ },
+#endif
        {
                .type = PSMOUSE_AUTO,
+++ linux-2.6.22.6.new/drivers/input/mouse/psmouse.h 2007-09-14 00:09:
07.000000000 +0200
@@ -88,6 +88,7 @@ enum psmouse_type {
        PSMOUSE_LIFEBOOK,
        PSMOUSE_TRACKPOINT,
        PSMOUSE_TOUCHKIT_PS2,
+ PSMOUSE_ELANTECH,
        PSMOUSE_AUTO /* This one should always be last */
 };

I edited drivers/input/mouse/psmouse.h NOT /drivers/input/mouse/psmouse.h

as there is no such file or directory as /drivers/input/mouse/psmouse.h

Followed the rest of your instructions but it has made things worse in that
with the new kernel I have lost both wireless and sound.

There was still no section in /proc/bus/input/devices for the synaptics
driver.

When I first got the PC I had no sound which was due to the version of alsa
( 1.0.14 rather than 1.0.15 if I remember correctly ).

I have not tried installing it with the new kernel, just reverted to my
original settings for now.

If you want me to try this again should I clear out the changes and start
from scratch?

If so what do I need to do to return to the clean position I was in?

thanks,
Norman

Revision history for this message
linuxonbute (normanelliott) wrote :
Download full text (5.1 KiB)

>
> I edited drivers/input/mouse/psmouse.h NOT
> /drivers/input/mouse/psmouse.h
>
> as there is no such file or directory as /drivers/input/mouse/psmouse.h
>
> Followed the rest of your instructions but it has made things worse in
> that with the new kernel I have lost both wireless and sound.
>
> There was still no section in /proc/bus/input/devices for the synaptics
> driver.
>
> When I first got the PC I had no sound which was due to the version of
> alsa ( 1.0.14 rather than 1.0.15 if I remember correctly ).
>
> I have not tried installing it with the new kernel, just reverted to my
> original settings for now.
>
> If you want me to try this again should I clear out the changes and start
> from scratch?
>
> If so what do I need to do to return to the clean position I was in?
>
> thanks,
> Norman
>

Update
I ran dpkg -r for the image and headers, deleted the source directory etc.
I then went through your instructions again. This time removing the part you
suggested from the patch file
Well at least the nearest I could based on what was actually in the file as
I had it.

The dry run left a small added note at the end. Sorry I didn't note it down
but it was something about

Hunk 3 fuzzy 1 ( not the exact message but probably you will know from
this what it was )

There are a few differences in the menus in make menuconfig but these were
easy enough to spot.
The install of the image results in the new kernel being the default so to
get back to the original I need to ESC at the grub boot up.

Now with the new kernel the touchpad is recognised as synaptics and >>> does
work <<<
It is not entirely right but I think I could get over the small issues by
perhaps editing xorg.conf

Sadly my wireless card is not configured, not being available to the network
manager.
Also sound is still not available ( may be alsa )

Also at the kernel install there was a series of errors about a missing
firmware directory

However these are some other pieces of info which might help you.

With new kernel running :
 cat /proc/bus/input/devices
I: Bus=0017 Vendor=0001 Product=0001 Version=0100
N: Name="Macintosh mouse button emulation"
P: Phys=
S: Sysfs=/class/input/input0
U: Uniq=
H: Handlers=mouse0 event0
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=3

I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/class/input/input1
U: Uniq=
H: Handlers=kbd event1
B: EV=120013
B: KEY=4 2000000 3802078 f840d001 feffffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=000c Version=0063
N: Name="ETPS/2 Elantech Touchpad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/class/input/input2
U: Uniq=
H: Handlers=mouse1 event2
B: EV=f
B: KEY=6420 0 7000f 0 0 0 0 0 0 0 0
B: REL=143
B: ABS=3

======================================================================

lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory
Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960
Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated
Graphics Controller (rev 0c)
00:1a.0 US...

Read more...

Revision history for this message
Uggla (henrik-uggla) wrote :

I too have a Zepto Znote 3215w with this touchpad, but I'm running PCLinuxOS. Linuxonbute are your touchpad buttons working now with this patch?

Revision history for this message
linuxonbute (normanelliott) wrote :

On 13/01/2008, Uggla <email address hidden> wrote:
>
> I too have a Zepto Znote 3215w with this touchpad, but I'm running
> PCLinuxOS. Linuxonbute are your touchpad buttons working now with this
> patch?
>
> --
> Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel
> Mouse"
> https://bugs.launchpad.net/bugs/123775
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I am afraid it isn't.
Since my last post to launchpad I have done a complete install of the kernel
etc again from scratch ( for this patch )
 Neither buttons work only cursor movement and tapping is still very
sensitive.
Also neither wireless nor sound work even though I did the asla change from
1.0.14 to 1.0.15 which worked with the original Gutsy kernel.

Revision history for this message
Uggla (henrik-uggla) wrote :

I wrote to Arjan about the button issue and got this reply:

Ah, so you are also affected by a bug that still is present in the latest
version of the driver that I released. Unfortunately it doesn't trigger on
my laptop so I never knew it was there until other testers informed me about
it...

If you want to experiment I have attached what I expect to be version 3 of
the driver and which should fix the problem of the buttons not working. I
sent it out to some of my testers and depending on their results will
hopefully be able to post it on my webpage for others to try soon.

Note that the patch is against linux 2.6.23 and probably does not apply to
2.6.22 without errors.

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

I'm just posting a comment to reiterate a previous comment made by Tim - https://bugs.launchpad.net/ubuntu/+source/linux/+bug/123775/comments/31

It is a lot of extra work for the Ubuntu kernel team to maintain out of tree patches. As such they require evidence of upstream submission before considering to maintain community patches locally. Do you know if there have been any efforts to get this submitted and accepted into the mainline kernel? If not, I'd encourage you to ask the developer of the patches to try to push them upstream and get them merged into mainline. Thanks.

Changed in linux:
status: New → Incomplete
Revision history for this message
linuxonbute (normanelliott) wrote :

On 18/01/2008, Leann Ogasawara <email address hidden> wrote:
>
> I'm just posting a comment to reiterate a previous comment made by Tim -
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/123775/comments/31
>
> It is a lot of extra work for the Ubuntu kernel team to maintain out of
> tree patches. As such they require evidence of upstream submission
> before considering to maintain community patches locally. Do you know
> if there have been any efforts to get this submitted and accepted into
> the mainline kernel? If not, I'd encourage you to ask the developer of
> the patches to try to push them upstream and get them merged into
> mainline. Thanks.
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>
> --
> Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel
> Mouse"
> https://bugs.launchpad.net/bugs/123775
> You received this bug notification because you are a direct subscriber
> of the bug.
>

When I PM'd Arjan I believ he said it was in 'mm' ( not sure what that is )
at present.
Is that sufficient? I am not very familiar with the development process.

Revision history for this message
linuxonbute (normanelliott) wrote :

Update.
I received this reply from Arjan last night.

Quote
The driver is included in the 'mm' series of kernels. You
can think of it as the development branch where things are tested before
they are sent upstream for inclusion in the mainline kernel.

However, the driver must also be approved by the input subsystem maintainer
and he has expressed concern about it being too experimental at the moment
to consider it for the mainline kernel.

I guess it all comes down to more testers that can confirm the driver is
working for them, preferably with absolute mode reporting and the Xorg
synaptics driver.

End Quote

So it's up to all of us who need it to try to help with the testing.

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

Thanks linuxonbute. This is the exact sort of information we were wanting. I'm confirming that these patches appear to be in 2.6.24-rc8-mm1 . Reassigning to the kernel team. Thanks!

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged
Revision history for this message
Tim Gardner (timg-tpi) wrote :

This driver did not make it into the 2.6.24 kernel, despite its gestation in the -mm tree. Perhaps hardy+1 ? Keep bugging the maintainer to get it upstream.

Changed in linux:
assignee: ubuntu-kernel-team → nobody
milestone: none → later
status: Triaged → Won't Fix
Changed in linux:
assignee: nobody → canonical-qa
status: Won't Fix → Triaged
Changed in linux:
assignee: canonical-qa → leannogasawara
Revision history for this message
mrmaikel (michaelplucik) wrote :

Is there any posibility to obtain the elantech-driver without building a new kernel? I'm using the Ubuntu standard kernel and it works very good.

Revision history for this message
linuxonbute (normanelliott) wrote :

I am now running Hardy - kernel 2.6.24-18-generic on my znote 3215W and it works

fully except that tapping is insanely sensitive so making the touchpad unusable.

is this likely to be sorted or is it a dead duck?

I have
rmmod psmouse
in rc.local to disable it and am using a wireless USB mouse.

Revision history for this message
exactt (giesbert) wrote :
Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Revision history for this message
linuxonbute (normanelliott) wrote :

Hi Leann,

I have only found the source for this kernel.

I have tried compiling the kernel and got a number of warnings ( many
repeated )
and finally got an error which stopped the compile. Error file ( text )
attached.

Norman

2008/8/28 Leann Ogasawara <email address hidden>

> The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the
> upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would
> appreciate it if you could please test this newer 2.6.27 Ubuntu kernel.
> There are one of two ways you should be able to test:
>
> 1) If you are comfortable installing packages on your own, the linux-
> image-2.6.27-* package is currently available for you to install and
> test.
>
> --
> Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel
> Mouse"
> https://bugs.launchpad.net/bugs/123775
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Brazil now adding 52 Million Linux users.

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

Hi linuxonbute,

Alpha5 was released so it's probably easier if you could test using a LiveCD rather than trying to compile from source. Thanks.

Changed in linux:
status: Triaged → Incomplete
Revision history for this message
linuxonbute (normanelliott) wrote :

Hi Leann,

I have now tried alpha 5 but it has not altered the problem I have with the
touchpad
on my Zepto Znote 3215W with an elantech touchpad.

Prior to my recent attempts to get this working i had been emailing
Arjan Opmeer who developed the elantech patch.

At one point he said this :
---------------------------------------------------------------------------------------------------------------
Ah, I spot a problem. Unfortunately the Elantech touchpad does not seem to
report finger pressure. (Or maybe it can be enabled by toggling some other
undocumented bit somewhere that I haven't been able to figure out?)
Therefore all clicks get reported with a default pressure that the driver
picks. As you can see in elantech.h I kind of randomly chose to use 128 out
of a maximum of 255. These values seemed to work for me.

This means that altering Finger{High,Low,Press} (or any setting that depends
on a pressure value) will not give you the result you want. What worked for
me was altering MaxTapTime to a value that suited my personal clicking
style.
-----------------------------------------------------------------------------------------------------------------

I have found that editing xorg.conf does nothing, in fact nothing seems to
alter this.
I assume it is because the value is set and cannot therefore be altered
dynamically.
Hence setting MaxTapTime to 0 makes no difference.
Because of this I have rmmod psmouse in /etc/rc.local and am using a
wireless usb mouse.

I have also found that sound is at a very low level. maximum levels on all
controls makes it barely audible.

Thanks,

Norman

2008/9/10 Leann Ogasawara <email address hidden>

> Hi linuxonbute,
>
> Alpha5 was released so it's probably easier if you could test using a
> LiveCD rather than trying to compile from source. Thanks.
>
> ** Changed in: linux (Ubuntu)
> Status: Triaged => Incomplete
>
> --
> Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel
> Mouse"
> https://bugs.launchpad.net/bugs/123775
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Brazil now adding 52 Million Linux users.

Changed in linux:
status: Unknown → Confirmed
Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :

Any update on this? The EEEPC 901 (and likely the 900?) use an Elantech touchpad, I've come to realize.

This is completely broken in Intrepid. The touchpad is recognized as a Logitech wheelmouse, and something else is getting recognized as a Mac mouse?

Logs being attached.

Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :
Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :
Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :
Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :

Hardy was so last spring. How about now? :)

Changed in linux:
status: Incomplete → New
Revision history for this message
linuxonbute (normanelliott) wrote :

I have now downloaded the live ubuntu-8.10-beta-desktop-i386.iso and burned it to disc.

It still leaves me with the same problem. The touchpad is impossibly sensitive to tapping and tapping cannot be disabled

which means I still have to disable it and use my USB wireless mouse.

Revision history for this message
RoundSparrow (stephen-roundsparrow) wrote :

I can confirm this problem on Asus eee 1000H. It is detected as Logitech wheelmouse. I'm on latest (just updated today) Ubuntu 8.10 beta.
Linux ipceeelin1 2.6.27-7-generic #1 SMP Fri Oct 17 22:24:21 UTC 2008 i686 GNU/Linux

rainpl (rainpl)
Changed in linux-source-2.6.22:
status: Won't Fix → Confirmed
status: Won't Fix → Confirmed
Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :

Additional information on the status of the driver from linux-kernel:

http://groups.google.com/group/linux.kernel/browse_thread/thread/ea335ddba3180637?fwc=1

Revision history for this message
linuxonbute (normanelliott) wrote :

Downloaded 8.10 and now the elantech touchpad is just reported as logitech wheelmouse again.

So it looks like there is still something wrong or is it my touchpad which has been faulty since new?

Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :

The elantech driver was introduced in 2.6.28-rc2: http://www.linuxhq.com/kernel/v2.6/28-rc2-git2/Documentation/input/elantech.txt

This implies that it will be in jaunty. Will it be put in the backports-modules for intrepid?

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

I'm cleaning up the bug tasks. The Hardy nomination for the 2.6.22 Gutsy kernel does not make any sense so marking Invalid. Additionally, this does not qualify for a Stable Release update for Gutsy so closing the linux-source-2.6.22 task. This will likely be resoled with the Jaunty kernel. I have reassigned to the kernel-team.

Changed in linux:
assignee: leannogasawara → ubuntu-kernel-team
status: New → Triaged
Changed in linux-source-2.6.22:
status: Confirmed → Won't Fix
status: Won't Fix → Invalid
status: Confirmed → Won't Fix
Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :

Is nice that you're cleaning up the old stuff; how about marking it for jaunty?

Steve Conklin (sconklin)
Changed in linux:
assignee: ubuntu-kernel-team → sconklin
status: Triaged → In Progress
Revision history for this message
Steve Conklin (sconklin) wrote :

I've back ported this driver from upstream into an intrepid kernel. Please test and see if it resolves the problem. If it does, we'll consider whether to actually include this in intrepid.

Test kernels are here:
http://people.ubuntu.com/~sconklin/123775/

Since this is already in upstream, it will be in Jaunty.

Revision history for this message
linuxonbute (normanelliott) wrote :

2008/11/21 Steve Conklin <email address hidden>

> I've back ported this driver from upstream into an intrepid kernel.
> Please test and see if it resolves the problem. If it does, we'll
> consider whether to actually include this in intrepid.
>

Hi steve
I have tested this kernel and it has solved the problem of disabling tapping
via an entry in xorg.conf. I am still unable to configure it dynamically by
using gsynaptics as this still fails to run due to the shared memory
problem.
At least the touchpad is now usable so that is great.
Thanks very much.
Norman

>
> Test kernels are here:
> http://people.ubuntu.com/~sconklin/123775/<http://people.ubuntu.com/%7Esconklin/123775/>
>
> Since this is already in upstream, it will be in Jaunty.
>
> --
> Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel
> Mouse"
> https://bugs.launchpad.net/bugs/123775
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Brazil now adding 52 Million Linux users.
South Africa's IT agency to migrate to open source in 2009.

Revision history for this message
Steve Conklin (sconklin) wrote :

I'm not familiar with the shared memory problem, is this something that I should try to address with this bug? Is there another bug you can point to for that problem?

I just want to make sure this patch is good by itself before I propose it for inclusion in intrepid.

Thanks

Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :

That went pretty badly for me (eee 901). The elantech device was clearly detected, but the touchpad configuration options were not available in the mouse capplet (GNOME), and--much, much worse--the touchpad was jumpy. I.e. it would work seemingly alright for quick movement over large distances, but trying to click on some little icon or whatever was an exercise in futility, as the cursor would not move for a good while as the stroke was occurring, then suddenly jump past the point I was trying to get to.

I'm attaching dmesg and xorg.log output.

Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :
Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :

The eee's touchpad is multi-touch (so I read). Is that perhaps part of the issue?

Revision history for this message
linuxonbute (normanelliott) wrote :

GSynaptics is used to configure 'synaptics' touchpads
( there are also qsynaptics and ksynaptics which do a similar job).
To use any of these you need a line in xorg.conf which is :
option "SHMConfig" "true"

But when I try to run it I get the message:

GSynaptics couldn't initiaize.
You have to set 'SHMConfig' 'true' in xorg.conf or XF86Config
to use GSynaptics.

As far as I have been able to find out this is to do with shared memory

and I have read that this is disabled as it is considered a security risk in
Ubuntu.

So I guess this means it is not a bug in the driver. I also believe that it
may be possible to set values manually in xorg.conf

At the moment I have tapping disabled with
option 'MaxTapTime' '0'
in xorg.conf

Before using your patched kernel this was ignored and touchpad was unusable.

However, at the moment I do not know what parameters are available
when using the elantech touchpad.
If it helps I will try to find out more options and see what works.

Please note that even if nothing more can be done I would much prefer
what is available with this patch than anything else I have tried.
Thanks,
Norman

2008/11/24 Steve Conklin <email address hidden>

> I'm not familiar with the shared memory problem, is this something that
> I should try to address with this bug? Is there another bug you can
> point to for that problem?
>
> I just want to make sure this patch is good by itself before I propose
> it for inclusion in intrepid.
>
> Thanks
>
> --
> Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel
> Mouse"
> https://bugs.launchpad.net/bugs/123775
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Brazil now adding 52 Million Linux users.
South Africa's IT agency to migrate to open source in 2009.

Revision history for this message
linuxonbute (normanelliott) wrote :

Well I have just looked at xorg.conf with a view to modifying it and this is what I see:

# commented out by update-manager, HAL is now used
#Section "InputDevice"
# Identifier "Synaptics Touchpad"
# Driver "synaptics"
# Option "SendCoreEvents" "true"
# Option "Device" "/dev/psaux"
# Option "Protocol" "auto-dev"
# Option "HorizEdgeScroll" "0"
# Option "VerticalEdgeScroll" "1"
# Option "MaxTapTime" "0"
# Option "SHMConfig" "on"
# Option "UpDownScrolling" "1"
#EndSection

I only upgraded from Hardy to Intrepid yesterday and then installed the patched
kernel so I had not realized that this had happened.

So my question is now How do I adjust the touchpad settings?

Revision history for this message
linuxonbute (normanelliott) wrote :

looks like there are further problems. With the patched kernel. although tapping is disabled, I am finding
an intermittent ( but each day I use the laptop ) problem.

What happens is this:

If the pointer is at the bottom of the screen and I want it at the top I have to run my finger from the bottom
to the top of the touchpad twice to get it there.
Normally this works but when the fault appears then, after I have lifted my finger up on the first pass
and then touch the pad again the pointer jumps back to the bottom of the screen.
This happens 10 to 20 times before the situation returns to normal.
This can happen several times during a session.

A further problem which also happens with the standard 8.10 kernel is that the settings for my wireless card
are lost on each boot up. I have to reconfigure it and then reboot each time.
I cannot see why the settings are lost after a shutdown but not after a warm boot.

At this rate i expect I will go back to 8.04 but I will wait a few days to see if any improvements are available.

Revision history for this message
maksvlad (maksvlad) wrote :

I solved the problem of wrong working touchpad on my Asus EeePC 1000H with editing /etc/X11/xorg.conf
I write down the solution in Russian on http://mvk-kopilka.blogspot.com/2008/12/asus-eeepc-1000h.html
Summary:
1. install Elantech touchpad driver for Linux http://arjan.opmeer.net/elantech/. "The Elantech touchpad is found amongst others in MSI laptops and the Asus EeePC 9xx and 1xxx"
2. Add to /etc/X11/xorg.conf
Section "InputDevice"
Identifier "ImPS/2 Logitech Wheel Mouse"
Driver "synaptics"
Option "SendCoreEvents" "true"
Option "Device" "/dev/input/mouse0"
Option "Protocol" "auto-dev"
Option "HorizEdgeScroll" "0"
Option "SHMConfig" "on"
EndSection

Section "ServerLayout"
InputDevice "ImPS/2 Logitech Wheel Mouse"
EndSection
3. Install gsynaptics-elantech
sudo apt-get install gsynaptics-elantech
4. Enabling SHMConfig with HAL https://help.ubuntu.com/community/SynapticsTouchpad#Enabling%20SHMConfig

It works for me.

Revision history for this message
linuxonbute (normanelliott) wrote :

I have had so many problems with the upgrade from 8.04 to 8.10 that I have now done a complete install of 8.10 instead.
This has resolved my problem with my sound and network card with the elantech patched kernel.
I cannot adjust anything regarding mouse settings and it jumps about from time to time.
I also seem to be getting key bounce since the change to 8.10.
I will stick with this for now but it is very disappointing after my past experiences with Ubuntu.
None of what maksvlad has suggested makes any difference. There is still the shared memory problem.

Revision history for this message
maksvlad (maksvlad) wrote :

 linuxonbute, check out the Elantech touchpad driver is enable
$ dmesg | grep elantech
[ 30.737074] elantech.c: Elantech version query result 0x02, 0x00, 0x30.
[ 30.737084] elantech.c: assuming hardware version 2, firmware version 2.48
[ 30.810589] elantech.c: Synaptics capabilities query result 0x00, 0x02, 0x64.

Revision history for this message
linuxonbute (normanelliott) wrote :

It is :
 dmesg |grep elantech
[ 15.531741] elantech.c: Elantech version query result 0x02, 0x00, 0x04.
[ 15.531746] elantech.c: assuming hardware version 1, firmware version 2.4
[ 15.633278] elantech.c: Synaptics capabilities query result 0x10, 0x02,
0x64.

--
Brazil now adding 52 Million Linux users.
South Africa's IT agency to migrate to open source in 2009.

Revision history for this message
linuxonbute (normanelliott) wrote :

Just an update.

Having found out that HAL is now used to configure the touchpad I decided I would see what was needed to configure it.
None of the suggestions made any difference.

I decided that, as I was getting so much key bounce, I would run with the touchpad disabled and the key bounce does not occur.

Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :

This works for me in Jaunty as of yesterday afternoon/evening.

Revision history for this message
GiuseppeVerde (launchpad-digitasaru) wrote :

This now works for me in Jaunty as of yesterday afternoon/evening.

Revision history for this message
Sergey Romanov (sml-uni) wrote :

Could you please also check if it works with this kernel, patched for the bug LP#318722?
http://people.ubuntu.com/~apw/lp318722-jaunty/

Revision history for this message
linuxonbute (normanelliott) wrote :

I have tried this with the alpha3 of Jaunty - live and it does seem to work.
It still misbehaves in that from time to time the mouse pointer moves to the point on the touchpad that I place my finger on. This only seems to affect the vertical position on the screen.
So if I am trying to move the pointer to the top of the screen and start from the bottom it will move half way up then, when I place my finger at the bottom of the pad, the pointer on screen jumps back to the bottom of the screen.
The pad seems to have very basic mouse capabilities. Tapping is disabled and there is no touchpad in System>preferences and gsynaptics does not seem to be available so I cannot test it to see if it can be configured.

cat /proc/bus/input/devices gives:

I: Bus=0011 Vendor=0002 Product=000e Version=0000
N: Name="ETPS/2 Elantech Touchpad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input7
U: Uniq=
H: Handlers=mouse1 event7
B: EV=f
B: KEY=6420 0 70000 0 0 0 0 0 0 0 0
B: REL=3
B: ABS=3

In intrepid with kernel kernel 2.6.27-9-generic, 2.6.27-10-generic or 2.6.27-11-generic
it still showed up as a logitech wheelmouse.

Revision history for this message
linuxonbute (normanelliott) wrote : Re: [Bug 123775] Re: Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel Mouse"

Do you mean for intrepid or jaunty?
I do not want to install jaunty yet. I have only been using the live cd to
test it

2009/1/25 Sergey Romanov <email address hidden>

> Could you please also check if it works with this kernel, patched for the
> bug LP#318722?
> http://people.ubuntu.com/~apw/lp318722-jaunty/<http://people.ubuntu.com/%7Eapw/lp318722-jaunty/>
>
> --
> Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel
> Mouse"
> https://bugs.launchpad.net/bugs/123775
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Norman Elliott

Brazil now adding 52 Million Linux users.
South Africa's IT agency to migrate to open source in 2009.

Revision history for this message
Sergey Romanov (sml-uni) wrote :

Yes, the patched kernel is for jaunty, but you don't need to change to jaunty to try it out. Simply download the linux-image .deb file for your architecture (i386 or amd64) and install it with gdebi or with dpkg -i then reboot into the new kernel.

Revision history for this message
linuxonbute (normanelliott) wrote :

i have now installed the 2.6.28-5-generic kernel and it does seem to have improved things. At present the problem with key bounce does seem to have cleared up. There is still the problem that launching gsynaptics gives the shared memory problem so I cannot make any alterations to the touchpad settings.

Revision history for this message
Grizzly (sven-witterstein) wrote :

Can you have a look at my bug #335297 - I have the exactly opposite problem my mouse is said to be a touchpad on 2.6.28.8-something

Bryce Harrington (bryce)
Changed in xserver-xorg-input-evdev:
status: New → Confirmed
Revision history for this message
Alan (alanloughlin) wrote :

becuase this is now working as of 9.04 and corerctly recognised as per the original issue, should this be closed as fixed?

Thanks,

Alan

Revision history for this message
Sterling Hanenkamp (sterling-hanenkamp) wrote :

This may be separate from the original issue, but my Elantech is still recognized as ImPS/2 Logitech Wheel Mouse. If this one is closed, I will start the search for or create a new ticket for the problem. This issue is on a Dell 10" Mini.

From /proc/bus/input/devices:

I: Bus=0011 Vendor=0002 Product=0005 Version=0063
N: Name="ImPS/2 Logitech Wheel Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input7
U: Uniq=
H: Handlers=mouse1 event7
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

This is on kernel 2.6.28-13 (uname -a), which is currently the latest released kernel that I can have been able to get hardware acceleration for my poulsbo card to work:

Linux flitwick 2.6.28-13-generic #45-Ubuntu SMP Tue Jun 30 19:49:51 UTC 2009 i686 GNU/Linux

The mouse works fine using the Logitech driver, except that I cannot configure any of the touchpad features. It would be super nice to be able to turn off touch clicking as the slightest brush of my palm while typing sets off a click at this point.

Revision history for this message
linuxonbute (normanelliott) wrote :

Hi Alan,

Mine is still not working fully.

If I try to move the mouse pointer from the bottom to the top of the screen
or vice versa then I have to stroke the touchpad several times - which is
normal i know. Problem is that sometimes I might stroke it once from bottom
to top, the pointer moves about 1/3 to 1/2 way up, then I put my finger at
the bottom to stroke it again and the pointer jumps back down to the bottom
of the screen as soon as my finger touches the pad. This sometimes means I
have to stroke it as many as 10 or even 12 times before it gets where I
want.
Then it might work normally for several minutes before it starts messing
about again.
Not sure exactly what the issue is but I have tried other live distros such
as mandriva and Suse and the problem is the same. I do wonder if it is a
fault with my touchpad but it has been like this from day one when I was
running Ubuntu 8.04. ( I bought the machine with no O/S )

Norman

2009/9/25 Alan <email address hidden>

> becuase this is now working as of 9.04 and corerctly recognised as per
> the original issue, should this be closed as fixed?
>
>
> Thanks,
>
> Alan
>
> --
> Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel
> Mouse"
> https://bugs.launchpad.net/bugs/123775
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Norman Elliott

Brazil now adding 52 Million Linux users.
South Africa’s IT agency to migrate to open source in 2009.

Revision history for this message
ekoecho (graham-ekosphere) wrote :

I'm having exactly the same problem as Sterling mentioned above although I'm using a Dell 11z.

The trackpad is detected as a logitech wheel mouse:

I: Bus=0011 Vendor=0002 Product=0005 Version=0063
N: Name="ImPS/2 Logitech Wheel Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input8
U: Uniq=
H: Handlers=mouse1 event8
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

This is on the 2.6.31-12-generic kernel.

Revision history for this message
DigitalShaman (145-ua) wrote :

same issue on asus ul30a, karmic

I: Bus=0011 Vendor=0002 Product=0005 Version=0000
N: Name="ImPS/2 Generic Wheel Mouse"
P: Phys=isa0060/serio4/input0
S: Sysfs=/devices/platform/i8042/serio4/input/input10
U: Uniq=
H: Handlers=mouse1 event8
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux

Changed in linux-source-2.6.22 (Ubuntu):
status: Won't Fix → Fix Released
Revision history for this message
Jay Cheroske (jay-portal) wrote :

The touchpad is not recognised correctly on an Asus UL30A-A2 either. Using Mint 8 (Karmic).

I: Bus=0011 Vendor=0002 Product=0005 Version=0063
N: Name="ImPS/2 Logitech Wheel Mouse"
P: Phys=isa0060/serio4/input0
S: Sysfs=/devices/platform/i8042/serio4/input/input8
U: Uniq=
H: Handlers=mouse1 event8
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

The touchpad is very sensitive and there are no configuration tabs available. Specifying the synaptics driver in xorg.conf does not work.

Revision history for this message
pi-rho (pi-rho) wrote :

Asus UL30A, Karmic, same behavior:

2.6.31-15-generic #50-Ubuntu SMP Tue Nov 10 14:53:52 UTC 2009 x86_64 GNU/Linux

input: ImPS/2 Logitech Wheel Mouse as /devices/platform/i8042/serio1/input/input9

P: /devices/platform/i8042/serio1/input/input9
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input9
E: PRODUCT=11/2/5/63
E: NAME="ImPS/2 Logitech Wheel Mouse"
E: PHYS="isa0060/serio1/input0"
E: EV==7
E: KEY==70000 0 0 0 0
E: REL==103
E: MODALIAS=input:b0011v0002p0005e0063-e0,1,2,k110,111,112,r0,1,8,amlsfw
E: SUBSYSTEM=input

# tpconfig -i
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.

Revision history for this message
Kamui (kamui-rouch) wrote :

I confirm this bug in Karmic (2.6.31-16-generic) with an Asus UL30A-QX105V laptop.

I have the same result as everyone else : a working touchpad but misrecognized as an "ImPS/2 Logitech Wheel Mouse" and therefore not taken care by Synaptics driver.

I tried to reload the psmouse module with each "proto" parameter option with no luck.
I tried to compile an old kernel provided by the package linux-source-2.6.31 with and without a patch to add an "elantech" parameter to the psmouse module ( http://git.array.org/?p=array/ubuntu-intrepid.git;a=commit;h=4e03ed0eabce7165c932a50c94fc8ee53ba23c4f ) but neither of them worked.

It is very annoying not to be able to fine tune the touchpad via Synaptics even if it works ok for a basic usage.
I would be very happy to provide further information/testing if needed. Thank you

Relevant part of xorg.log:
Synaptics Touchpad no synaptics event device found
(**) Option "Device" "/dev/psaux"
(**) Option "SHMConfig" "true"
Query no Synaptics: 6003C8
(--) Synaptics Touchpad: no supported touchpad found
(EE) Synaptics Touchpad Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "Synaptics Touchpad"
(II) UnloadModule: "synaptics"

Ressources :
http://www.mydellmini.com/forum/dell-mini-10-discussion/10961-mini-10-touchpad-ubuntu-driver.html (especially meecect comments)
https://qa.mandriva.com/show_bug.cgi?id=55501 (same bug, same laptop, on Mandriva)
http://bbs.archlinux.org/viewtopic.php?id=79612 (still the same...)
etc...

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

not a bug in the evdev driver.

Changed in xserver-xorg-input-evdev (Ubuntu):
status: Confirmed → Invalid
Steve Conklin (sconklin)
Changed in linux (Ubuntu):
assignee: Steve Conklin (sconklin) → nobody
Revision history for this message
oren (orengolan) wrote :

I opened a similar bug on Launchpad - https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/512192

Is it identical problem? if it is how can I merge the two thread?
please go there and 'confirm' it so it will get more traction from Canonical.
Any idea if there is a plan to fix it? my laptop is unusable without configuring the touchpad.

Thanks!

Revision history for this message
ekoecho (geeronimo) wrote :

I managed to force detection of the touchpad by commenting out the magic knock code in the elantech.c file and then compiling a new psmouse.ko module. However, when I load the new driver module the mouse pointer behaves erratically and the following output appears in /var/log/kern.log:

Feb 11 09:40:09 eko kernel: [25633.999438] elantech.c: assuming hardware version 1, firmware version 4.1
Feb 11 09:40:09 eko kernel: [25634.073989] elantech.c: Synaptics capabilities query result 0x08, 0x18, 0x0c.
Feb 11 09:40:09 eko kernel: [25634.598300] input: ETPS/2 Elantech Touchpad as /devices/platform/i8042/serio1/input/input11
Feb 11 09:40:15 eko kernel: [25640.329410] psmouse.c: Touchpad at isa0060/serio1/input0 lost sync at byte 4
Feb 11 09:40:15 eko kernel: [25640.338950] psmouse.c: Touchpad at isa0060/serio1/input0 lost sync at byte 4
Feb 11 09:40:15 eko kernel: [25640.348582] psmouse.c: Touchpad at isa0060/serio1/input0 lost sync at byte 4
Feb 11 09:40:15 eko kernel: [25640.358104] psmouse.c: Touchpad at isa0060/serio1/input0 lost sync at byte 4
Feb 11 09:40:15 eko kernel: [25640.367788] psmouse.c: Touchpad at isa0060/serio1/input0 lost sync at byte 4
Feb 11 09:40:15 eko kernel: [25640.367792] psmouse.c: issuing reconnect request
Feb 11 09:40:16 eko kernel: [25640.929992] psmouse.c: Touchpad at isa0060/serio1/input0 lost sync at byte 4
Feb 11 09:40:16 eko kernel: [25640.939450] psmouse.c: Touchpad at isa0060/serio1/input0 lost sync at byte 4
Feb 11 09:40:16 eko kernel: [25640.949044] psmouse.c: Touchpad at isa0060/serio1/input0 - driver resynched.
Feb 11 09:40:16 eko kernel: [25640.958596] psmouse.c: Touchpad at isa0060/serio1/input0 lost sync at byte 4
Feb 11 09:40:16 eko kernel: [25640.968183] psmouse.c: Touchpad at isa0060/serio1/input0 lost sync at byte 4
Feb 11 09:40:16 eko kernel: [25640.977772] psmouse.c: Touchpad at isa0060/serio1/input0 - driver resynched.

This is on a dell 11z.

Revision history for this message
exactt (giesbert) wrote :
Revision history for this message
J C Nash (nashjc) wrote :

Seems to be same as or very similar to bug #512192. JN

Revision history for this message
oren (orengolan) wrote :

I just upgraded to 10.4 and I still have this issue (Dell Inspiron 11z).

What can we do to encourage developers to fix it? our laptops are not usable without configuring this touch pad.

Revision history for this message
Jay Cheroske (jay-portal) wrote : Re: [Bug 123775] Re: Elantech touchpad is incorrectly recogonised as a"ImPS/2 Logitech Wheel Mouse"
Download full text (4.4 KiB)

It's actually good to see this affecting different laptops. Maybe that will encourage those that can fix this to do so. I'm stuck on Windows 7 until then.
-----Original Message-----
From: oren <email address hidden>
Date: Sun, 11 Apr 2010 07:27:50
To: <email address hidden>
Subject: [Bug 123775] Re: Elantech touchpad is incorrectly recogonised as a
 "ImPS/2 Logitech Wheel Mouse"

I just upgraded to 10.4 and I still have this issue (Dell Inspiron 11z).

What can we do to encourage developers to fix it? our laptops are not
usable without configuring this touch pad.

--
Elantech touchpad is incorrectly recogonised as a "ImPS/2 Logitech Wheel Mouse"
https://bugs.launchpad.net/bugs/123775
You received this bug notification because you are a direct subscriber
of the bug.

Status in The Linux Kernel: Confirmed
Status in “linux” package in Ubuntu: In Progress
Status in “linux-source-2.6.22” package in Ubuntu: Fix Released
Status in “xserver-xorg-input-evdev” package in Ubuntu: Invalid
Status in “linux” source package in Hardy: Won't Fix
Status in “linux-source-2.6.22” source package in Hardy: Invalid
Status in “xserver-xorg-input-evdev” source package in Hardy: New

Bug description:
My touchpad is incorrectly recognised as a "ImPS/2 Logitech Wheel Mouse"

"cat /proc/bus/input/devices" produces the following output:
(i also have a usb mouse plugged in ("Logitech USB-PS/2 Optical Mouse"), it's still detected as above regardless of if the usb mouse is plugged in or not)

magicaltrevor:~$ cat /proc/bus/input/devices
I: Bus=0017 Vendor=0001 Product=0001 Version=0100
N: Name="Macintosh mouse button emulation"
P: Phys=
S: Sysfs=/class/input/input0
H: Handlers=mouse0 event0 ts0
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=3

I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/class/input/input1
H: Handlers=kbd event1
B: EV=120013
B: KEY=4 2000000 3802078 f840d001 feffffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0010 Vendor=001f Product=0001 Version=0100
N: Name="PC Speaker"
P: Phys=isa0061/input0
S: Sysfs=/class/input/input2
H: Handlers=kbd event2
B: EV=40001
B: SND=6

I: Bus=0003 Vendor=046d Product=c00e Version=0110
N: Name="Logitech USB-PS/2 Optical Mouse"
P: Phys=usb-0000:00:1d.1-2/input0
S: Sysfs=/class/input/input3
H: Handlers=mouse1 event3 ts1
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

I: Bus=0011 Vendor=0002 Product=0005 Version=0063
N: Name="ImPS/2 Logitech Wheel Mouse"
P: Phys=isa0060/serio2/input0
S: Sysfs=/class/input/input4
H: Handlers=mouse2 event4 ts2
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

I: Bus=0019 Vendor=0000 Product=0002 Version=0000
N: Name="Power Button (FF)"
P: Phys=ACPI_FPB/button/input0
S: Sysfs=/class/input/input5
H: Handlers=kbd event5
B: EV=3
B: KEY=100000 0 0 0

I: Bus=0019 Vendor=0000 Product=0003 Version=0000
N: Name="Sleep Button (CM)"
P: Phys=PNP0C0E/button/input0
S: Sysfs=/class/input/input6
H: Handlers=kbd event6
B: EV=3
B: KEY=4000 0 0 0 0

I: Bus=0019 Vendor=0000 Product=0005 Version=0000
N: Name="Lid Switch"
P: Phys=PNP0C0D/bu...

Read more...

Revision history for this message
linuxonbute (normanelliott) wrote : Friend,how are you?

 Friend,how are you?
The indispensable electronic products in our lives to be bought in our own
country are more expensive. And now there is a good news for you that I
found an online store, their goods are more cheaper than domestic. The store
conduct with motorcycles and barges except ordinary electronic goods. If you
need something to buy, come on and look around on ﹤ www.winners188.com ﹥.
  Wishing you and yours a happy happy new year. !!

Please accept my sincere wishes for the New Year. I hope you will continue
to enjoy good health.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-input-evdev (Ubuntu Hardy):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.